Skip to content

Remote Accesses

All operations require authentication.

5 operationsv1/overTheBox/{serviceName}
Agent setup

List the remote accesses of an OverTheBox serviceProduction

GET
/1.0/overTheBox/{serviceName}/remoteAccesses

List the remote accesses of an OverTheBox service. Returns the IDs of the remote accesses created to reach the device of the service.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/remoteAccesses \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a remote access on an OverTheBox serviceProduction

POST
/1.0/overTheBox/{serviceName}/remoteAccesses

Create a remote access on an OverTheBox service. Exposes a port of the device for a remote user, until the expiration date (one day by default), from an allowed IP block.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Request body (required)

allowedIp
ipBlock

IP block from which the remote access will be allowed (the default value is the IP from which the call is made)

expirationDate
stringdate-time

The expirationDate of the remote access (default 1 day)

exposedPort
required
integer

The port that the device will expose

publicKey
string

The remote user public key authorized on the device (for SSH purpose)

Response

200RemoteAccesssuccessful operation
accepted
read-only
boolean

If the remote access was accepted by the remote user

askDate
read-only
stringdate-time

The date of the remote access demand

authorizedBy
read-only
string

The user that authorized the remote access

connectionInfos
read-only
RemoteAccessConnectionInfos

All the infos needed to connect yourself to your OTB

deletedAt
read-only
stringdate-time

When the remote access was deleted

dockerVersion
read-only
string

Info about the docker version

expirationDate
read-only
stringdate-time

When the remote access will be automatically deleted

exposedPort
read-only
integer

The device's port which will be exposed

remoteAccessId
read-only
string

The id of the remote access

remoteUserInfos
read-only
RemoteAccessUserInfos

Infos about the remote user

status
read-only
RemoteAccessStatusEnum

Status of the remote access

ValuesactivecreatingdeleteddeletingpendingValidationrecreatingtoDeletetoRecreate

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/remoteAccesses \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accepted": true, "askDate": "2024-01-01T12:00:00Z", "authorizedBy": "string", "connectionInfos": { "ip": "192.0.2.0", "port": 0 }, "deletedAt": "2024-01-01T12:00:00Z", "dockerVersion": "string", "expirationDate": "2024-01-01T12:00:00Z", "exposedPort": 0, "remoteAccessId": "string", "remoteUserInfos": { "ip": "192.0.2.0/24", "publicKey": "string", "user": "string" }, "status": "active"}

Get a remote access of an OverTheBox serviceProduction

GET
/1.0/overTheBox/{serviceName}/remoteAccesses/{remoteAccessId}

Get a remote access of an OverTheBox service. Returns the exposed port, status, acceptance, connection information, the user who authorized it and its expiration date.

Path parameters

remoteAccessId
required
string

The id of the remote access

serviceName
required
string

The internal name of your overTheBox offer

Response

200RemoteAccesssuccessful operation
accepted
read-only
boolean

If the remote access was accepted by the remote user

askDate
read-only
stringdate-time

The date of the remote access demand

authorizedBy
read-only
string

The user that authorized the remote access

connectionInfos
read-only
RemoteAccessConnectionInfos

All the infos needed to connect yourself to your OTB

deletedAt
read-only
stringdate-time

When the remote access was deleted

dockerVersion
read-only
string

Info about the docker version

expirationDate
read-only
stringdate-time

When the remote access will be automatically deleted

exposedPort
read-only
integer

The device's port which will be exposed

remoteAccessId
read-only
string

The id of the remote access

remoteUserInfos
read-only
RemoteAccessUserInfos

Infos about the remote user

status
read-only
RemoteAccessStatusEnum

Status of the remote access

ValuesactivecreatingdeleteddeletingpendingValidationrecreatingtoDeletetoRecreate

Example uses remoteAccessId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/remoteAccesses/{remoteAccessId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accepted": true, "askDate": "2024-01-01T12:00:00Z", "authorizedBy": "string", "connectionInfos": { "ip": "192.0.2.0", "port": 0 }, "deletedAt": "2024-01-01T12:00:00Z", "dockerVersion": "string", "expirationDate": "2024-01-01T12:00:00Z", "exposedPort": 0, "remoteAccessId": "string", "remoteUserInfos": { "ip": "192.0.2.0/24", "publicKey": "string", "user": "string" }, "status": "active"}

Delete a remote access of an OverTheBox serviceProduction

DELETE
/1.0/overTheBox/{serviceName}/remoteAccesses/{remoteAccessId}

Delete a remote access of an OverTheBox service. Removes the remote access, and the device port is no longer exposed.

Path parameters

remoteAccessId
required
string

The id of the remote access

serviceName
required
string

The internal name of your overTheBox offer

Response

200—successful operation

Example uses remoteAccessId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/remoteAccesses/{remoteAccessId} \
  -H "authorization: Bearer $OVH_TOKEN"

Authorize a remote access of an OverTheBox serviceProduction

POST
/1.0/overTheBox/{serviceName}/remoteAccesses/{remoteAccessId}/authorize

Authorize a remote access of an OverTheBox service. Allows the remote access, so that the device exposes its port to the remote user.

Path parameters

remoteAccessId
required
string

The id of the remote access

serviceName
required
string

The internal name of your overTheBox offer

Response

200—successful operation

Example uses remoteAccessId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/remoteAccesses/{remoteAccessId}/authorize \
  -H "authorization: Bearer $OVH_TOKEN"